Geonkick Install

Ia m trying to install Geonkick

Good afternoon I am getting the error 2020-11-21T14:14:40 [ERROR]: LV2: Failed to instantiate plugin http://geontime.com/geonkick I wonder if anyone has any ideas ? Installed from KXstudio repositories , running ubuntu 20.04 Studio and Ardour 6.3

When I run ardour on a terminal these last few lines appear relevant however progressing with this is beyond my skills . Has anyone had success with this synth?

lilv_lib_open(): error: Failed to open library /usr/lib/lv2/geonkick.lv2/libgeonkick_lv2.so (/usr/lib/lv2/geonkick.lv2/libgeonkick_lv2.so: wrong ELF class: ELFCLASS32)

Any assistance greatly appreciated

Warm regards

Alastair

Warmest regards

Alastair

Looks like you are running 64 bit Ardour, trying to load a 32 bit plugin. You should install a 64 bit version of the plugin or else you will need to fund the 32 bit version of Ardour.

Thanks for your prompt reply seablade
:slightly_smiling_face:

I had actually downloaded the i386 thinking that’s what I needed because I had an Intel processor. Having downloaded he correct AMD 64 it worked first time. Many thanks for your patience

Best regards Alastair